2022-03-10  Andreas Scherer  <https://ascherer.github.io>

	* Makefile,
	* common.c,
	* common.w,
	* ctang-w2c.ch,
	* ctangle.c,
	* ctangle.w,
	* ctwill-mini.ch,
	* ctwill-w2c.ch,
	* cweav-w2c.ch,
	* cweave.w: Make 'fall thru' comments active.

2022-02-18  Andreas Scherer  <https://ascherer.github.io>

	* common.c,
	* ctangle.c,
	* ctangle.w: Add '#line' after '#elif', '#else', and '#endif'.

2022-02-14  Andreas Scherer  <https://ascherer.github.io>

	* cwebmac.tex,
	* cwebman-w2c.ch,
	* cwebman.tex,
	* texinputs/dcwebstrings.tex,
	* texinputs/fcwebmac.tex,
	* texinputs/icwebmac.tex: Adapt to 'ifhint.tex'.

2022-02-14  Andreas Scherer  <https://ascherer.github.io>

	* common.c,
	* ctangle.c,
	* ctangle.w: Add '#line' after '#endif'.

2022-02-10  Andreas Scherer  <https://ascherer.github.io>

	* ctwimac.tex: Add silent \datecontentspage macro.
	* cwebmac.tex,
	* texinputs/dcwebstrings.tex,
	* texinputs/[fi]cwebmac.tex: Fix '\ATH' macro.

2022-02-05  Andreas Scherer  <https://ascherer.github.io>

	* Makefile,
	* comm-{mac,mini,ql,w2c}.ch,
	* comm-w2c.h,
	* common.h,
	* common.w,
	* ctang-{bs,pc,ql,vms,w2c,w32}.ch,
	* ctangle.c,
	* ctangle.w,
	* ctwill-w2c.ch,
	* cweav-{bs,pc,ql,w2c,w32}.ch,
	* cweave.w,
	* cwebman-w2c.ch,
	* cwebman.tex,
	* po/cweb-tl.pot,
	* po/cweb.pot,
	* po/de/cweb-tl.po,
	* po/de/cweb.po,
	* po/it/cweb.po,
	* prod-{cweave,twill}.w,
	* prod.w: CWEB 4.7 release.

2022-02-03  Andreas Scherer  <https://ascherer.github.io>

	* ctang-w32.ch,
	* ctangle.w,
	* cwebmac.tex,
	* cwebman.tex: Purge a few WEB leftovers.

2022-02-02  Andreas Scherer  <https://ascherer.github.io>

	* cwebmac.tex: Reshuffle '\pdfURL' macro for HiTeX.

2022-01-29  Andreas Scherer  <https://ascherer.github.io>

	* Makefile,
	* comm-man.ch,
	* ctang-man.ch,
	* cweav-man.ch,
	* cwebmac.tex,
	* cwebman-w2c.ch,
	* cwebman.tex: Support HINT format.

2022-01-15  Andreas Scherer  <https://ascherer.github.io>

	* comm-pc.ch,
	* comm-w2c.h,
	* common.c,
	* common.h,
	* ctang-bs.ch,
	* ctang-pc.ch,
	* ctang-w2c.ch,
	* ctangle.c,
	* ctangle.w,
	* ctwill-w2c.ch,
	* cweav-pc.ch,
	* cweav-w2c.ch,
	* cweave.w,
	* cwebman.tex,
	* cwebman-w2c.ch,
	* po/cweb.pot,
	* po/de/cweb.po,
	* po/it/cweb.po: Increase sizes in CWEB 4.6.1.

2021-12-26  Andreas Scherer  <https://ascherer.github.io>

	* Makefile,
	* comm-{mac,mini,ql,w2c}.ch,
	* comm-w2c.h,
	* common.h,
	* common.w,
	* ctang-{bs,pc,ql,vms,w2c,w32}.ch,
	* ctangle.c,
	* ctangle.w,
	* ctwill-{mini,w2c}.ch,
	* cweav-{bs,pc,ql,vms,w2c,w32}.ch,
	* cweave.w,
	* cwebmac.tex,
	* cwebman-w2c.ch,
	* cwebman.tex,
	* po/cweb-tl.pot,
	* po/cweb.pot,
	* po/de/cweb-tl.po,
	* po/de/cweb.po,
	* po/it/cweb.po,
	* prod-{cweave,twill}.w,
	* prod.w: CWEB 4.6 and CWEBbin 2021.6 release.

2021-12-20  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.h,
	* ctwill-mini.ch: Reshuffle 'gettext' header.

2021-12-05  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch,
	* ctwill-mini.ch,
	* ctwill-w2c.ch,
	* cwebman-w2c.ch: Active link to the CTWILL user manual.

2021-11-26  Andreas Scherer  <https://ascherer.github.io>

	* ctwill-mini.ch,
	* cweave.w: Reshuffle code in CWEAVE.

2021-11-22  Andreas Scherer  <https://ascherer.github.io>

	* Makefile,
	* comm-w2c.h,
	* common.h: Copyright text in common interface.

2021-11-14  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch,
	* po/cweb-tl.pot,
	* po/de/cweb-tl.po: More generic point of interest.

2021-11-12  Andreas Scherer  <https://ascherer.github.io>

	* ctangle.w,
	* cweave.w: Consistently refer to the COMMON module.

2021-10-31  Andreas Scherer  <https://ascherer.github.io>

	* ctproofmac.tex,
	* cttwinxmac.tex,
	* ctwill-mini.ch,
	* ctwimac.tex,
	* cweave.w,
	* cwebmac.tex,
	* cwebman.tex,
	* texinputs/pdfctwimac.tex: Restore '\T' macro backward compatibility.

2021-10-24  Andreas Scherer  <https://ascherer.github.io>

	* texinputs/pdfwebtocfront.tex: Restore 'classic' PDF layout.

2021-10-14  Andreas Scherer  <https://ascherer.github.io>

	* ctproofmac.tex,
	* cttwinxmac.tex,
	* ctwimac.tex,
	* texinputs/pdfctwimac.tex: Fix 'base 2' for 'p' exponent.

2021-10-11  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch,
	* ctang-w2c.ch,
	* ctwill-w2c.ch,
	* cweav-w2c.ch: CWEB 4.6 pre-release RC2.

2021-09-16  Andreas Scherer  <https://ascherer.github.io>

	* comm-{bs,vms,w2c,w32}.ch,
	* common.c,
	* common.h,
	* ctang-vms.ch,
	* ctangle.c,
	* ctangle.w,
	* ctwill-{mini,w2c}.ch,
	* cweav-{vms,w2c}.ch,
	* cweave.w,
	* cwebmac.tex,
	* cwebman-w2c.ch,
	* po/de/web2c-help.po,
	* po/web2c-help.pot,
	* prod-{cweave,twill}.w,
	* prod.w: CWEB 4.6 pre-release.

2021-07-14  Andreas Scherer  <https://ascherer.github.io>

	* Makefile,
	* comm-{mac,mini,ql,w2c}.ch,
	* comm-w2c.h,
	* common.c,
	* common.h,
	* common.w,
	* ctang-{bs,pc,ql,vms,w2c,w32}.ch,
	* ctangle.c,
	* ctangle.w,
	* ctproofmac.tex,
	* ctwill-{mini,w2c}.ch,
	* ctwimac.tex,
	* cweav-{bs,pc,ql,vms,w2c,w32}.ch,
	* cweave.w,
	* cwebmac.tex,
	* cwebman-w2c.ch,
	* cwebman.tex,
	* po/cweb[-tl].pot,
	* po/de/cweb[-tl].po,
	* po/it/cweb.po,
	* prod-twill.w,
	* prod.w,
	* texinputs/pdfctwimac.tex: CWEB 4.5 and CWEBbin 2021.5.

2021-06-06  Andreas Scherer  <https://ascherer.github.io>

	* Makefile,
	* comm-{mac,mini,ql,w2c}.ch,
	* comm-w2c.h,
	* common.c,
	* common.h,
	* common.w,
	* ctang-{bs,pc,ql,vms,w2c,w32}.ch,
	* ctangle.c,
	* ctangle.w,
	* ctwill-{mini,w2c}.ch,
	* ctwimac.tex,
	* cweav-{bs,pc,ql,vms,w2c,w32}.ch,
	* cweave.w,
	* cwebmac.tex,
	* cwebman-w2c.ch,
	* cwebman.tex,
	* po/cweb[-tl].pot,
	* po/de/cweb[-tl].po,
	* po/it/cweb.po,
	* prod-twill.w,
	* prod.w: CWEB 4.4 and CWEBbin 2021.4.

2021-03-26  Andreas Scherer  <https://ascherer.github.io>

	* common.w,
	* ctangle.c,
	* ctangle.w,
	* ctwill-mini.ch,
	* ctwill-w2c.ch,
	* cweav-w2c.ch,
	* cweave.w,
	* prod-twill.w,
	* prod.w: Parameter indentation for modern function headers.

2021-03-19  Andreas Scherer  <https://ascherer.github.io>

	* Makefile,
	* README,
	* comm-{bs,mac}.ch,
	* comm-w2c.h,
	* common.h,
	* common.w,
	* ctang-w2c.ch,
	* ctangle.c,
	* ctangle.w,
	* ctwill-mini.ch,
	* ctwill-w2c.ch,
	* cweav-bs.ch,
	* cweav-w2c.ch,
	* cweave.w,
	* cwebmac.tex,
	* cwebman.tex,
	* prod-twill.w,
	* prod.w: Incorporate C++ material by @texdraft.

2021-03-09  Andreas Scherer  <https://ascherer.github.io>

	* Makefile,
	* refsort.ch,
	* twinx.ch: Patch refsort and twinx with changefiles.

	* resort.w,
	* twinx.w: Revert to original form from the CTWILL tarball.

	* twinx-startup.tex: Add example template for 'twinx'.

2021-02-25  Andreas Scherer  <https://ascherer.github.io>

	* Makefile,
	* comm-{mac,ql,vms,w32}.ch,
	* comm-w2c.ch,
	* comm-w2c.h,
	* common.c,
	* common.h,
	* common.w,
	* ctang-{bs,pc,ql,vms,w32}.ch,
	* ctang-w2c.ch,
	* ctangle.c,
	* ctangle.w,
	* ctwill-mini.ch,
	* ctwill-w2c.ch,
	* cweav-{bs,pc,ql,vms,w32}.ch,
	* cweav-man.ch,
	* cweav-w2c.ch,
	* cweave.w,
	* cwebmac.tex,
	* cwebman-w2c.ch,
	* cwebman.tex,
	* po/{cweb,cweb-tl}.pot,
	* po/de/{cweb,cweb-tl}.po,
	* po/it/cweb.po: CWEB 4.2 and CWEBbin 2021.

2021-02-24  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.h,
	* common.c,
	* common.h
	* common.w,
	* ctangle.c,
	* ctangle.w,
	* ctwill-mini.ch,
	* ctwill-w2c.ch,
	* cweav-w2c.ch,
	* cweave.w: Fix spacing for |#include| in TeX comment.

2021-02-24  Andreas Scherer  <https://ascherer.github.io>

	* cweave.w: Fix spacing for |#include| in TeX comment.

2021-02-24  Andreas Scherer  <https://ascherer.github.io>

	* common.w,
	* ctangle.w,
	* cweave.w: Fine print for single '@' characters in TeX text.

2021-02-24  Andreas Scherer  <https://ascherer.github.io>

	* cweave.w: Fix output format when 'tracing @2'.

2021-02-23  Andreas Scherer  <https://ascherer.github.io>

	* cwebman.tex,
	* cwebman-w2c.ch: Minor redactions.

2021-02-23  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch: Simplify documentation.

2021-02-22  Andreas Scherer  <https://ascherer.github.io>

	* Makefile,
	* comm-w2c.ch
	* comm-w2c.h
	* common.c
	* common.h
	* common.w
	* ctang-bs.ch,
	* ctangle.c,
	* ctangle.w,
	* ctwill-mini.ch,
	* ctwill-w2c.ch,
	* cweav-bs.ch,
	* cweav-man.ch,
	* cweave.w: Decouple CTANGLE and CWEAVE from COMMON.

2021-02-20  Andreas Scherer  <https://ascherer.github.io>

	* Makefile,
	* comm-{mac,ql,vms,w32}.ch,
	* comm-w2c.ch,
	* comm-w2c.h,
	* common.c,
	* common.h,
	* common.w,
	* ctang-{bs,pc,ql,vms,w32}.ch,
	* ctang-w2c.ch,
	* ctangle.c,
	* ctangle.w,
	* ctwill-mini.ch,
	* ctwill-w2c.ch,
	* cweav-{bs,pc,ql,vms,w32}.ch,
	* cweav-man.ch,
	* cweav-w2c.ch,
	* cweave.w,
	* cwebmac.tex,
	* cwebman-w2c.ch,
	* cwebman.tex,
	* po/{cweb,cweb-tl}.pot,
	* po/de/{cweb,cweb-tl}.po,
	* po/it/cweb.po: CWEB 4.1 and CWEBbin 2021.

2021-02-19  Andreas Scherer  <https://ascherer.github.io>

	* comm-bs.ch,
	* comm-mac.ch,
	* com-ql.ch,
	* comm-w2c.ch,
	* comm-w2c.h,
	* common.c,
	* common.h,
	* common.w,
	* ctang-bs.ch,
	* ctangle.c,
	* ctangle.w,
	* ctwill-w2c.ch,
	* cweav-bs.ch,
	* cweave.w,
	* cwebman.tex: Replace 'boolean' values upstream.

2021-02-18  Andreas Scherer  <https://ascherer.github.io>

	* cweave.w: Purge unused macro definition.

2021-02-18  Andreas Scherer  <https://ascherer.github.io>

	* ctangle.c,
	* ctangle.w,
	* cweave.w: Reshuffle a few variables (upstream).

2021-02-18  Andreas Scherer  <https://ascherer.github.io>

	* cweave.w: Fix an 'aspell'ing error and one old macro call.

2021-02-17  Andreas Scherer  <https://ascherer.github.io>

	* cweave.w: Fix 'Illegal hardware instruction' on MacOS.

2021-02-17  Andreas Scherer  <https://ascherer.github.io>

	* Makefile: Main CWEB modules depend on COMMON interface.

2021-02-16  Andreas Scherer  <https://ascherer.github.io>

	* common.c,
	* common.h,
	* ctangle.c,
	* comm-w2c.h: Reshuffle byte_mem pointer.

2021-02-16  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch,
	* common.h: Restore comment from 'cweave.w' (3.64c).

2021-02-11  Andreas Scherer  <https://ascherer.github.io>

	* texinputs/pdfctwimac.tex: Fix bug in color setter.

2021-02-08  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch,
	* common.c,
	* common.h,
	* common.w,
	* ctangle.c,
	* ctangle.w,
	* cweave.w: Don't repeat yourself.

2021-02-07  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch: Fix 'reading error';
	CWEB development has moved to another level.

2021-02-07  Andreas Scherer  <https://ascherer.github.io>

	* Makefile,
	* README,
	* comm-{amiga,bs,mac,os2,pc,ql,vms,w32}.ch,
	* comm-w2c.ch,
	* comm-w2c.h,
	* common.c,
	* common.h,
	* common.w,
	* ctang-{bs,pc,ql,vms,w32}.ch,
	* ctang-man.ch,
	* ctang-w2c.ch,
	* ctangle.c,
	* ctangle.w,
	* ctwill-mini.ch,
	* ctwill-w2c.ch,
	* ctwill.bux,
	* cweav-{bs,pc,ql,vms,w32}.ch,
	* cweav-man.ch,
	* cweav-w2c.ch,
	* cweave.w,
	* cweb.1,
	* cwebmac.tex,
	* cwebman-w2c.ch,
	* cwebman.tex,
	* examples/wmerge.w,
	* po/{cweb,cweb-tl,web2c-help}.pot,
	* po/de/{cweb,cweb-tl,web2c-help}.po,
	* po/it/cweb.po,
	* system.bux: New CWEB 4.0 and CWEBbin 2021.

2020-07-30  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch,
	* ctang-w2c.ch,
	* ctwill-w2c.ch,
	* cweav-w2c.ch: Fix typographic inconsistency.

2020-07-15  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch,
	* comm-w2c.hch,
	* ctwill-mini.ch: Clearer exposition re external type definitions.

2020-07-08  Andreas Scherer  <https://ascherer.github.io>

	* cwebman-w2c.ch,
	* po/web2c-help.pot,
	* po/de/web2c-help.po: Add '-dN' to 'help' message.

2020-07-08  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch: Add special index entries for Kpathsea values.

2020-07-08  Andreas Scherer  <https://ascherer.github.io>

	* cwebman-w2c.ch: Add links to appendices D, E, F, and G.

2020-07-05  Andreas Scherer  <https://ascherer.github.io>

	* ctwill-mini.ch,
	* texinputs/pdfctwimac.tex: Fix two issues with 'ctwill.dvi/pdf'.

2020-07-02  Andreas Scherer  <https://ascherer.github.io>

	* cwebman-w2c.ch: Add links and bookmarks in PDF.

2020-06-29  Andreas Scherer  <https://ascherer.github.io>

	* ctwill-mini.ch,
	* prod-mini.ch: Merge editorial changes with CTIE;
	no need for a separate changefile for 'prod.w'.

2020-06-24  Andreas Scherer  <https://ascherer.github.io>

	* ctwill-w2c.ch,
	* ctwill-mini.ch,
	* ctwill.bux,
	* system.bux,
	* prod-mini.ch: Add editorial material to produce 'ctwill.pdf'
	with CTWILL itself.

2020-06-23  Andreas Scherer  <https://ascherer.github.io>

	* prod-twill.w: Roll back editorial changes.

2020-06-21  Andreas Scherer  <https://ascherer.github.io>

	* texinputs/pdfwebtocfront.tex: Fix start pageno after dynamic to.
	MF and [{pdf|Xe}]TeX start their main body on pageno 3.

2020-06-20  Andreas Scherer  <https://ascherer.github.io>

	* texinputs/pdfwebtocfront.tex: Generic solution for the headers in
	WEB and CWEB programs (with four special cases with their own '\N').

2020-06-20  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch: Clarify triple responsibility.

2020-06-19  Andreas Scherer  <https://ascherer.github.io>

	* texinputs/pdfwebtocfront.tex: Generic 'group title' on the first
	page after the table-of-contents.

2020-06-16  Andreas Scherer  <https://ascherer.github.io>

	* texinputs/pdfctimac.tex: Bookmarks for "Names of the sections".

2020-06-16  Andreas Scherer  <https://ascherer.github.io>

	* ctang-w2c.ch: Translate another message string.
	* ctwill-w2c.ch,
	* prod-twill.w: Page breaks for CWILL format.  Fix final header.
	* texinputs/pdfctimac.tex: Alternative comment font (9pt).
	Don't force small borders in standard macros for PDF output.

2020-06-15  Andreas Scherer  <https://ascherer.github.io>

	* texinputs/pdfctimac.tex: Unified color management;
	code compaction; simplified if-else inside \acro;
	structured outlines/bookmarks with all supported TeX engines.

2020-06-14  Andreas Scherer  <https://ascherer.github.io>

	* texinputs/pdfctimac.tex: New macros for PDF output with hyperlinks
	created with 'ctwill +lpdf' followed by 'tex'+'dvipdfm', 'pdftex',
	or 'xetex' on your CWEB source.

2020-06-13  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch,
	* ctang-w2c.ch,
	* ctwill-w2c.ch,
	* cweav-w2c.ch: Purge space from 'covernote'.

2020-06-11  Andreas Scherer  <https://ascherer.github.io>

	* cwebman-w2c.ch: Add footnotes for TeX Live extensions.

2020-06-10  Andreas Scherer  <https://ascherer.github.io>

	* ctang-w2c.ch: Add short comments to new material.

2020-06-10  Andreas Scherer  <https://ascherer.github.io>

	* texinputs/p+cwebmac.tex: Switch on PDF creation with 'cweave -lp+'
	followed by 'tex'+'dvipdfm' or 'xetex' on your CWEB source.

2020-06-07  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch,
	* ctang-w2c.ch,
	* cweav-w2c.ch,
	* ctwill-w2c.ch: Add date to table-of-contents page.

2020-06-07  Andreas Scherer  <https://ascherer.github.io>

	* ctang-w2c.ch: Handle special 'files' as secondary output.

2020-06-07  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch,
	* ctang-w2c.ch,
	* cweav-w2c.ch,
	* ctwill-w2c.ch: Check accessibility to designated output files.

2020-06-07  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch,
	* comm-w2c.h,
	* ctang-w2c.ch,
	* cweav-w2c.ch,
	* ctwill-w2c.ch: Underscore 'enum'erated values in index.

2020-06-06  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch: Add index entries for the CWEBINPUTS envvar.

2020-06-05  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch: Fix newline blunder in case of error.

2020-06-01  Andreas Scherer  <https://ascherer.github.io>

	* texinputs/pdfwebtocfront.tex: Adapt to 'pwebmac.tex 4.5.2'.

2020-05-31  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch: Sanitize command for PDF outlines.

2020-05-26  Andreas Scherer  <https://ascherer.github.io>

	* texinputs/pdfwebtocfront.tex: Fake headline on page after TOC.

2020-05-23  Andreas Scherer  <https://ascherer.github.io>

	* texinputs/pdfwebtocfront.tex: Add treatment for {pdf,xe}tex.web.

2020-05-22  Andreas Scherer  <https://ascherer.github.io>

	* texinputs/Xcwebmac.tex: Activate alternative assignment operator.
	* texinputs/pdfwebtocfront.tex: Add comments to the macro code.

2020-05-07  Andreas Scherer  <https://ascherer.github.io>

	* texinputs/Xcwebmac.tex: Amend macros from knuth.drv (in
	github.com/oberdiek/latex-tds) to move table-of-contents
	up front in PDF output (on second TeX run).

2020-04-30  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch: Clarify §95 and fix missing type format.

2020-04-29  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch: Purge irrelevant mention of .web extension.

2020-04-28  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch: Purge standard headers already in KPathSea.

2020-04-27  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch,
	* comm-w2c.h: Use enum'erated program identifiers.
	Reshuffle typedef's to fix formatting in §7 of COMMON.

2020-04-16  Andreas Scherer  <https://ascherer.github.io>

	* cweav-w2c.ch,
	* ctwill-w2c.ch: Fix missing hyphen.

2020-04-14  Andreas Scherer  <https://ascherer.github.io>

	* cweav-w2c.ch,
	* ctwill-w2c.ch: Fix uppercase spelling for COMMON module.

2020-04-13  Andreas Scherer  <https://ascherer.github.io>

	* ctwill-w2c.ch: Print CTWILL user manual on two pages.

2020-04-13  Andreas Scherer  <https://ascherer.github.io>

	* cweav-w2c.ch,
	* ctwill-w2c.ch: Move reference to global variable 'use_language'
	from 'main' to section 'Extensions'.

2020-04-13  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.h: Add comment for section 6 in CWEB programs.

2020-04-11  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch, comm-w2c.h: Rearrange 'common variables'.

2020-03-30  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch, comm-w2c.h, ctang-w2c.ch, ctwill-w2c.ch, cweav-w2c.ch,
	* po/de/cweb.po, po/de/web2c-help.po,
	* po/it/cweb.po,
	* po/web2c-help.pot: Add new option '-t'.

2020-02-01  Andreas Scherer  <https://ascherer.github.io>

	* ctang-w2c.ch: Fix verbosity bug in ctangle.

2019-05-29  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch, comm-w2c.h: Minor changes.

2019-02-16  Andreas Scherer  <https://ascherer.github.io>

	* cwebinputs/c++1xlib.w: Add some C++1x class names.

2019-01-20  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch: Use braced evaluation and save a macro variable.

2019-01-19  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch: Extended notes about NLS activation.
	* po/web2c-help.pot, po/de/web2c-help.po: Fix typos.

2019-01-18  Andreas Scherer  <https://ascherer.github.io>

	* po/cweb.pot, po/de/cweb.po, po/it/cweb.po:
	Update NLS references for TP notification.

2019-01-17  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch, comm-w2c.h,
	* ctang-w2c.ch, ctwill-w2c.ch, cweav-w2c.ch:
	Translate 'banner' if HAVE_GETTEXT set and cweb-tl.mo available.

2019-01-16  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch: Correct usage of 'kpse_var_expand';
	skip numeric argument of '-d' flag.

2019-01-15  Andreas Scherer  <https://ascherer.github.io>

	* comm-w2c.ch: Provisional 'bindtextdomain' lookup in TDS.
	* cwebinputs/texinputs: Add prefix 'cweb_' to TeX macros
	and transliteration files.
	* po/cweb-tl.pot: Realign NLS modules with texlive changes.

2019-01-05  Andreas Scherer  <https://ascherer.github.io>

	Integration of CWEBbin as the new CWEB in TeX Live,
	https://github.com/ascherer/cwebbin.
	
	Purge cwebboot.h[in] from CWEB build process;
	see ../ChangeLog for more changes in ../am/, etc.
	
	* comm-w2c.h: new file.
	* ctang-w2c.ch,
	* cweav-w2c.ch: cwebbin changes for translations and everything else.
	
	* ctproofmac.tex,
	* cttwinxmac.tex,
	* ctwimac.tex: new macro files.
	
	* po/: new subdirectory for translations.
	* cwebinputs,
	* texinputs: new subdirs to include entire original cweb distribution.
	
	Add CTWILL material on top of CWEAVE.
	* prod-twill.w,
	* refsort.w,
	* twinx.w,
	* ctwill-w2c.ch: new files.

2018-12-30  Andreas Scherer  <https://ascherer.github.io>

	* cweave.w,
	* common.w,
	* common.c,
	* ../cwebboot.cin: do not change the CWEB sources, use
	changefile entries instead.
	* examples: add directory (unchanged) from cweb-3.64c.tar.gz.

2018-11-02  Andreas Scherer  <https://ascherer.github.io>

	* ctang-w2c.ch,
	* cweav-w2c.ch,
	* ../ctangleboot.cin: clean build with non-implicit 'int change_depth'.
	tex-k mail, 2 Nov 2018 18:03:39.

2018-01-18  Karl Berry  <karl@tug.org>

	* cweave.w,
	* common.w,
	* common.c,
	* ../cwebboot.cin: printf %s instead of direct string (from Debian).
	(Also sent to DEK.)

2017-01-29  Karl Berry  <karl@tug.org>

	* ../cwebboot.cin,
	* Makefile,
	* README,
	* common.c,
	* common.h,
	* common.w,
	* ctang-bs.ch,
	* ctangle.w,
	* cweav-bs.ch,
	* cweav-w2c.ch,
	* cweave.w,
	* cweb.el,
	* cwebmac.tex,
	* cwebman.tex,
	* Master/texmf-dist/tex/plain/cweb/cwebmac.tex: sync all with
	cweb 3.64ai from DEK, http://ctan.org/pkg/cweb.
	* cweav-w2c.ch: sync @x blocks with 3.64ai.

2014-06-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* comm-w2c.ch, ctang-w2c.ch, cweav-w2c.ch: Avoid useless
	char subscript warnings.

2014-02-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* comm-w2c.ch: Handle input lines with CRLF.

2013-07-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* comm-w2c.ch: Include system headers after "cpascal.h".

2013-06-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* comm-w2c.ch, ctang-w2c.ch, cweav-w2c.ch: Include system
	headers after <kpathsea/kpathsea.h>.

2012-09-05  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* common.w, ctangle.w, cweave.w: copy the original ones in
	ftp://ftp.cs.stanford.edu/pub/cweb/cweb.tar.gz.
	* comm-w2c.ch, ctang-w2c.ch, cweav-w2c.ch: move our changes to change
	files.

2012-09-05  Karl Berry  <karl@tug.org>

	* cweave.w (longest_name): restore to 10000,
	the value in the Knuth/Levy distribution on CTAN
	(which matches Knuth, ftp://ftp.cs.stanford.edu/pub/cweb/cweb.tar.gz)
	Report from Arthur O'Dwyer, 3 Sep 2012 18:06:05.
	
	Our cweave.w has many other changes relative to the original.
	These should be moved to cweav-w2c.ch so our originals are
	unmodified, but can't do everything right now.

2012-05-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* {comm,ctang,cweav}-w2c.ch: Use binary mode for output files.
	From Akira Kakuto <kakuto@fuk.kindai.ac.jp> (W32TeX).

2011-04-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Avoid 'differ in signedness' warnings.
	* cweav-w2c.ch: cast strcpy() arg collate to 'char *'.

2010-01-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* {comm,ctang,cweav}-w2c.ch: Move extern declaration of
	versionstring from {ctangle,cweave}.c to cweb.h.

2009-08-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* {comm,ctang,cweav}-w2c.ch: Create a header file cweb.h with
	prototypes for all functions declared in common.w and used in
	ctangle.w and cweave.w or vice versa, and #include "cweb.h" in
	cweb.c, ctangle.c, and cweave.c.

	Avoid maximal compiler warnings.
	* {comm,ctang,cweav}-w2c.ch (names_match, id_lookup, err_print,
	fatal, overflow): Constify string params and local vars.
	* ctang-w2c.ch (Insert the line): Rename inner local var a=>a_l,
	not to shadow previous local.
	* cweav-w2c.ch (out_str, app_str): Constify string params.
	(Print a snapsh...): Rename local var k=>k_l, not to shadow
	a param.
	In main(), 'use' print_text() not used somewhere else.

2009-08-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* ../am/cweb.am (ctie_CFLAGS, cweave_CFLAGS, tie_CFLAGS),
	../am/bootstrap.am (ctangle_CFLAGS): Enable compiler warnings.
	* {comm,ctang,cweav}-w2c.ch: Declare most functions as static.
	* ctang-w2c.ch, cweav-w2c.ch: Put explicit braces around
	ambiguous else.

2009-06-23  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* comm-w2c.ch, ctang-w2c.ch, cweav-w2c.ch: drop P?C, P?H macros,
	use ANSI C function declarations.

